> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goenhance.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana Edit API



## OpenAPI

````yaml POST /api/v1/nano-banana/edit
openapi: 3.1.0
info:
  title: GoEnhance API
  description: ''
  version: 1.0.0
servers:
  - url: https://api.goenhance.ai
security:
  - bearerAuth: []
tags:
  - name: Basic
  - name: Video2Video
paths:
  /api/v1/nano-banana/edit:
    post:
      tags:
        - Video2Video
      summary: Nano Banana Edit
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: false
          example: Bearer xxx
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                args:
                  type: object
                  properties:
                    prompt:
                      type: string
                    ratio:
                      type: string
                      enum:
                        - auto
                        - '1:1'
                        - '16:9'
                        - '9:16'
                        - '4:3'
                        - '3:4'
                        - '2:3'
                        - '3:2'
                    image_list:
                      type: array
                      items:
                        type: object
                        properties:
                          url:
                            type: string
                      minItems: 1
                      maxItems: 4
                  required:
                    - prompt
                    - image_list
              required:
                - args
            example:
              args:
                prompt: Turn the picture into a figurine in front of the computer
                ratio: '9:16'
                image_list:
                  - url: >-
                      https://cdn2.face2emoji.app/cdn-cgi/image/format=jpeg,width=1000/user/upload-data/default/448035664101645afb4f5b7b2125ccea.jpg
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      img_uuid:
                        type: string
                    required:
                      - img_uuid
                    x-apifox-orders:
                      - img_uuid
                    x-apifox-ignore-properties: []
                required:
                  - code
                  - msg
                  - data
                x-apifox-orders:
                  - code
                  - msg
                  - data
                x-apifox-ignore-properties: []
              examples:
                '1':
                  summary: Success
                  value:
                    code: 0
                    msg: Success
                    data:
                      img_uuid: c12b656c-747a-44fd-9c80-add79b0c52d5
                '2':
                  summary: fail
                  value:
                    code: -1
                    msg: ''
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                required:
                  - code
                  - msg
                x-apifox-orders:
                  - code
                  - msg
                x-apifox-ignore-properties: []
              example:
                code: 401
                msg: Token is required
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 500
                msg: ''
          headers: {}
      deprecated: false
      security: []
components: {}

````